$schema: "http://json-schema.org/draft-06/schema#"

title: datastream v1 PostgresqlProfile export schema
description: A gcloud export/import command YAML validation schema.
type: object
required:
- database
- hostname
- username
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  database:
    description: Database for the PostgreSQL connection.
    type: string
  hostname:
    description: Hostname for the PostgreSQL connection.
    type: string
  password:
    description: |-
      Password for the PostgreSQL connection. Mutually exclusive with the
      `secret_manager_stored_password` field.
    type: string
  port:
    description: Port for the PostgreSQL connection, default value is 5432.
    type: integer
  secretManagerStoredPassword:
    description: |-
      A reference to a Secret Manager resource name storing the PostgreSQL
      connection password. Mutually exclusive with the `password` field.
    type: string
  sslConfig:
    description: |-
      SSL configuration for the PostgreSQL connection. In case
      PostgresqlSslConfig is not set, the connection will use the default SSL
      mode, which is `prefer` (i.e. this mode will only use encryption if
      enabled from database side, otherwise will use unencrypted communication)
    $ref: PostgresqlSslConfig.yaml
  username:
    description: Username for the PostgreSQL connection.
    type: string
